//part of app.app_events;
//part of event_handler.event_handler;

enum Flavors {
  firebase,
  adjust,
  facebook,
  amplitude,
}

enum AppEventType {
  simple, //*Event Adjust
  revenueEvent, //*Event Adjust
  callBackEvent, //*Event Adjust
  partnerEvent, //*Event Adjust
  // appLaunch,
  // sectionStart,
  // sectionUpdate,
  // sectionEnd,
  // actionIntent,
  // cancelAction,
  // formErrors,
  // infoSection,
  testEvent,
  cashIn,
  appTimeDuration,
  screenViewName,
  sliderMovement,
  sendCodeButton,
  reSendCodeButton,
  appLaunch,
  loginAttempt,
  registerAttempt,
  personalDataButton,
  showPasswordButton,
  showTycButton,
  createAccountButton,
  changeEmailButton,
  changeEmailNextButton,
  resendEmailButton,
  startProfilingButton,
  profilingQuestion,
  //Remove questions number
  profilingFirstQuestion,
  profilingSecondQuestion,
  profilingThirdQuestion,
  profilingFourthQuestion,
  profilingFifthQuestion,
  profilingSixthQuestion,
  profilingSeventhQuestion,
  likeProfileButton,
  changeProfileButton,
  startFicsGoalButton,
  selectDefaultFicsGoalButton,
  selectCustomFicsGoalButton,
  ficsNameStepButton,
  ficsValueStepButton,
  ficsInitialInvestmentStepButton,
  ficsGoalPeriodsStepButton,
  ficsGoalLikeStepButton,
  ficsGoalTestingStepButton,
  ficsGoalSummaryCheckButton,
  ficsGoalIdentityValidationButton,
  ficsGoalNotNowValidationButton,
  ficsIdentityPersonalInfoButton,
  selectFpvGoalButton,
  fpvAreYouEmployedButton,
  fpvAreYouRetiredButton,
  fpvCitizenshipResidenceOutColBut,
  fpvSourceOfMoneyButton,
  fpvMonthlyIncome,
  fpvIntegralSalary,
  fpvMedicine,
  fpvMedicineMonthlyContribution,
  fpvMortgage,
  fpvMortgageMonthlyContribution,
  fpvAfcFpv,
  fpvPaymentFpvAfc,
  fpvDependants,
  fpvDeclaresRent,
  fpvMonthlyContribution,
  fpvPeriodsButton,
  fpvSummaryZoomButton,
  fpvPortfolioSummaryZoomButton,
  fpvPortfolioSummaryAceptButton,
  fpvSupportEnrollment,
  fpvAcceptTermsEnrollment,
  fpvStartValidationEnrollment,
  fpvEnrollmentTooltip,
  fpvCameraPermissionOnfido,
  fpvMicPermissionOnfido,
  fpvScanId1Onfido,
  fpvScanId2Onfido,
  fpvPhotoOnfido,
  fpvPhotoContinueOnfido,
  fpvPhotoRetakeOnfido,
  fpvMovementOnfido,
  fpvVoiceVideoOnfido,
  fpvPlayVideoOnfido,
  fpvCompleteInformationButton,
  fpvRentFillingActivateCamera,
  fpvRentFillingActivatedCamera,
  fpvRentFillingAcceptedImage,
  fpvRentFillingRetakeImage,
  fpv220FillingActivateCamera,
  fpv220FillingActivatedCamera,
  fpv220FillingAcceptedImage,
  fpv220FillingRetakeImage,
  fpvIncomeFillingActivateCamera,
  fpvIncomeFillingActivatedCamera,
  fpvIncomeFillingAcceptedImage,
  fpvIncomeFillingRetakeImage,
  fpvExtraInformationContinue,
  fpvCheckboxAcceptedButton,
  fpvNextButton,
  fpvForeignTransactionsStepButton,
  fpvTypeForeignTransactionStepButton,
  fpvTypeOtherForeignTransaction,
  fpvForeignAccountProductStepButton,
  fpvTypeForeignAccountProdStepBut,
  fpvCredicorpFamilyRelatedStepButton,
  fpvCredicorpFamilyRelNameStepBut,
  fpvOriginOfFundsStepButton,
  fpvOriginOfFundsOtherStepButton,
  fpvJepStepButton,
  fpvGoalSummaryFinalStepButton,
  fpvEmployerEmailStepButton,
  fpvGoToMyGoalsButton,
  forgotPasswordButton,
  showPassswordButton,
  sessionStart,
  sendNewCodeButton,
  changePasswordButton,
  firstGoalCreationButton,
  addNewGoalButton,
  myGoalsMenuButton,
  movementsMenuButton,
  addMoneyMenuButton,
  clickOnAutomaticDebit,
  notificationsMenuButton,
  myProfileMenuButton,
  clicOnFicsGoalButton,
  clickOnTabButton,
  clickOnAddMoneyButton,
  clickOnContinueValidationButton,
  porfolioExpandInfoButton,
  movementsExpandInfoButton,
  clicOnEditFicsGoalButton,
  clicOnEditFicsNameButton,
  clicOnEditFicsDeleteButton,
  clicOnSaveNameButton,
  clicOnModalButton,
  fpvContinueValidationButton,
  clicOnEditFpvGoalButton,
  clicOnEditFpvEmailButton,
  clicOnEditFpvDeleteButton,
  clicOnSaveEmailButton,
  clicOnExpandInfoButton,
  selectAddBankAccountButton,
  selectBankAccountButton,
  goalCashInContinueButton,
  continueWithoutUsingButton,
  investTybsContinueButton,
  clicOnPromocodeButton,
  clicOnInvestButton,
  validateButton,
  continueButton,
  selectGoalButton,
  clicOnOptionsButton,
  clicOnSendNewCode,
  clicOnContinueButton,
  investSumContinueButton,
  clicOnFullCashOutButton,
  clicOnBankButton,
  clicOnConfirmBankButton,
  clicOnModifyBankButton,
  clicOnAddBankAccountButton,
  clicOnMakeCashOutButton,
  clicOnButton,
  clicOnChangeHolderButton,
  clicOnDoCashOutButton,
  clicOnVerifyInformationButton,
  clicOnModifyInformationButton,
  clicOnChangeButton,
  clicOnAcceptButton,
  clicOnLoginButton,
  clicOnSelectDateButton,
  clicOnScheduleButton,
  clicOnDebitGoalButton,
  clicOnNewDebitButton,
  clicOnEditAutomaticDebitButton,
  clicOnSuspendAutomaticDebitButton,
  clicOnDeleteAutomaticDebitButton,
  clicOnConfirmDeleteButton,
  clicOnSaveChangesButton,
  clicOnAccountButton,
  clicOnRiskProfileButton,
  clicOnTybsButton,
  clicOnCashOutButton,
  clicOnAutomaticDebitButton,
  clicOnCallUsButton,
  clicOnSupportEmailButton,
  clicOnFaqsButton,
  clicOnTycButton,
  clicOnLogOutButton,
  changeRiskProfileButton,
  confirmChangeRiskProfileButton,
  clicChangePhoneButton,
  clicChangeEmailButton,
  clicChangePasswordButton,
  clicGenerateTokenButton,
  clicDeleteAccountButton,
  clicGenerateCodeButton,
  promocodeShareSourceButton,
  clicOnReferalsPlanButton,
  profilingBackQuestions,
  ficsGoalClicElementRentabilities,
  selectSelfInvestmentGoal,
  selectFicsSelfInvest,
  selectPortfolioSelfInvest,
  clicFundDetailButton,
  clicPortfolioDetailButton,
  clicContinueButton,
  clicOnSeeFundDetail,
  clicOnSeePortfolioDetail,
  // pse
  clicOnPseButton,
  saveReceiptButton,
  endTransactionButton,
  retryTransactionButton,
  clicOnUnderstandButton,
}
